APIs / eBay / Search

eBay: Search

Search from eBay as JSON. 1 credit per successful call.

GET /v1/ebay/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
qstringRequiredUp to 255 characters
categoryintegerOptionalAny
pageintegerOptionalAny
per_pageintegerOptional60, 120, 240
sortintegerOptional1, 7, 10, 12, 15, 16
buy_it_nowbooleanOptionalAny
auctionbooleanOptionalAny
condition[]list of integerOptionalAny
price_minnumberOptionalAny
price_maxnumberOptionalAny
free_shippingbooleanOptionalAny
preferred_locationintegerOptionalAny
location_postalstringOptionalUp to 20 characters

Example request

eBay
GET/v1/ebay/search?q=coffee+maker&page=1&per_page=60
{
  "success": true,
  "data": {
    "query": "coffee maker",
    "page": 1,
    "per_page": 60,
    "has_more": true,
    "results": [
      {
        "product_id": "366702966104",
        "title": "Mr. Coffee 4-in-1 Single-Serve Latte, Iced, and Hot Coffee",
        "link": "https://www.ebay.com/itm/366702966104",
        "price": {
          "raw": "$60.00",
          "extracted": 60,
          "currency": "USD"
        },
        "sponsored": true,
        "subtitle": "Brand New",
        "thumbnail": "https://i.ebayimg.com/images/g/fhEAAeSwuP5qvcJe/s-l500.webp",
        "location": "United States"
      },
      {
        "product_id": "167322718667",
        "title": "New Keurig Green Mountain K4000 Cafe System Commercial K-Cup Coffee Maker",
        "link": "https://www.ebay.com/itm/167322718667",
        "price": {
          "raw": "$428.98",
          "extracted": 428.98,
          "currency": "USD"
        },
        "sponsored": true,
        "subtitle": "Brand New",
        "thumbnail": "https://i.ebayimg.com/images/g/UVIAAOSwdnFnmqXS/s-l500.webp",
        "location": "United States"
      },
      {
        "product_id": "155542047462",
        "title": "Makita Rechargeable Coffee Maker 18V CM500DZ Body ONLY New No Battery",
        "link": "https://www.ebay.com/itm/155542047462",
        "price": {
          "raw": "$74.67",
          "extracted": 74.67,
          "currency": "USD"
        },
        "sponsored": true,
        "subtitle": "Brand New",
        "thumbnail": "https://i.ebayimg.com/images/g/bIEAAOSw6DVkV0Xq/s-l140.webp",
        "shipping": {
          "raw": "+$3.00 delivery",
          "extracted": 3,
          "currency": "USD"
        },
        "location": "Japan",
        "quantity_sold": 31
      }
    ],
    "total_results": 110000,
    "related_searches": [
      {
        "query": "keurig coffee maker",
        "link": "https://www.ebay.com/sch/i.html?_nkw=keurig+coffee+maker&_sop=12"
      },
      {
        "query": "coffee maker 12 cup",
        "link": "https://www.ebay.com/sch/i.html?_nkw=coffee+maker+12+cup&_sop=12"
      },
      {
        "query": "coffee machine",
        "link": "https://www.ebay.com/sch/i.html?_nkw=coffee+machine&_sop=12"
      }
    ],
    "categories": [
      {
        "id": 11700,
        "name": "Home & Garden"
      },
      {
        "id": 20625,
        "name": "Kitchen, Dining & Bar"
      },
      {
        "id": 20667,
        "name": "Small Kitchen Appliances"
      }
    ]
  },
  "meta": {
    "endpoint_family": "search",
    "duration_ms": 2866
  }
}
200 OKJSONX-Credits-Used: 1
Recorded from our API and shortened.

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.